Subject: Re: [PATCH net-next] net: allow rps/rfs related configs to be switched

From: Simon Horman <[email-masked]>
Date: Tue, 4 Jun 2024 18:03:57 +0100

On Sat, Jun 01, 2024 at 12:44:40AM +0800, Jason Xing wrote:
> From: Jason Xing <[email-masked]>
> 
> After John Sperbeck reported a compile error if the CONFIG_RFS_ACCEL
> is off, I found that I cannot easily enable/disable the config
> because of lack of the prompt when using 'make menuconfig'. Therefore,
> I decided to change rps/rfc related configs altogether.
> 
> Signed-off-by: Jason Xing <[email-masked]>

Hi Jason,

FWIIW, I think it would be appropriate to also add help text for each option.
And I would drop "Enable", modeling Kdoc on, f.e. CONFIG_CGROUP_NET_CLASSID.

Likewise for CONFIG_BQL, although that isn't strictly related to this
patch.

...